# $Revision: 1.12 $, $Date: 2011/01/23 11:08:34 $
%include	/usr/lib/rpm/macros.php
%define		_class		Mail
%define		_subclass	mimeDecode
%define		_status		stable
%define		_pearname	Mail_mimeDecode
Summary:	%{_pearname} - decode MIME messages
Summary(pl.UTF-8):	%{_pearname} - dekodowanie wiadomości MIME
Name:		php-pear-%{_pearname}
Version:	1.5.5
Release:	1
License:	BSD Style
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	915bf1c68a5518afc14700d5b1132200
URL:		http://pear.php.net/package/Mail_mimeDecode/
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Mail_Mime > 1.4.0
Obsoletes:	php-pear-Mail_mimeDecode-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides a class to deal with the decoding and interpreting of MIME
messages. This package used to be part of the Mail_Mime package, but
has been split off.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa pozwala na dekodowanie i analizę wiadomości MIME.
Funkcjonalność ta była częścią pakietu Mail_Mime, została jednak z
niego wydzielona.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail/mimeDecode.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Mail_mimeDecode.spec,v $
Revision 1.12  2011/01/23 11:08:34  glen
- updated to: 1.5.5

Revision 1.11  2011/01/23 01:03:16  sparky
- dropped -tests subpackage

Revision 1.10  2010/09/21 08:53:32  glen
- updated to: 1.5.4

Revision 1.9  2010/08/22 08:51:13  glen
- ensure rpmbuild macros present

Revision 1.8  2010/08/21 19:08:11  glen
- updated deps with pearize.sh
- release 2

Revision 1.7  2010/08/20 13:01:36  glen
- updated to: 1.5.1

Revision 1.6  2008/04/01 21:07:22  qboosh
- typo

Revision 1.5  2008-01-31 12:17:19  glen
- rel 5

Revision 1.4  2007-12-27 14:16:13  glen
- rel 4

Revision 1.3  2007-12-27 14:16:00  glen
- dirs fixes

Revision 1.2  2007/09/06 09:36:29  glen
- need PEAR core classes not full PEAR
- versioned requires implies conflict

Revision 1.1  2007/09/03 15:26:08  adamg
- new
